https://mailchimp.com/lists/{list_id}/segments/{segment_id}/members/{subscriber_hash}Remove a member from the specified static segment.
The unique ID for the list.
The unique id for the segment.
The MD5 hash of the lowercase version of the list member's email address.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://mailchimp.com/lists/{list_id}/segments/{segment_id}/members/{subscriber_hash}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://mailchimp.com/lists/{list_id}/segments/{segment_id}/members/{subscriber_hash}Remove a member from the specified static segment.
The unique ID for the list.
The unique id for the segment.
The MD5 hash of the lowercase version of the list member's email address.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://mailchimp.com/lists/{list_id}/segments/{segment_id}/members/{subscriber_hash}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}